## gnome-bluetooth 3.28.2

=== debian/changelog ===
gnome-bluetooth (3.28.2-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/gbp.conf:
    Call the upstream tag pattern 'invalid' so that it creates errors.
    You currently need to pass this manually.

  [ Jeremy Bicha ]
  * Drop unneeded dh_translations overrides
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 08 Sep 2018 06:37:24 -0400

gnome-bluetooth (3.28.2-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Aug 2018 17:03:40 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-bluetooth
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools,
               gobject-introspection (>= 0.10.2-1~),
               gtk-doc-tools,
               libcanberra-gtk3-dev,
               libgirepository1.0-dev (>= 0.9.5),
               libglib2.0-dev (>= 2.38.0),
               libgtk-3-dev (>= 3.12.0),
               libnotify-dev,
               libudev-dev,
               libxml2-utils,
               meson (>= 0.43.0)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-bluetooth
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-bluetooth.git
Homepage: https://wiki.gnome.org/Projects/GnomeBluetooth

Package: gnome-bluetooth
Architecture: linux-any
Depends: bluez (>= 5.5),
         bluez-obexd,
         udev (>= 154),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-control-center | unity-control-center,
            gvfs-backends
Breaks: gnome-shell (<< 3.12),
Conflicts: bluez-gnome
Description: GNOME Bluetooth tools
 This package contains tools for managing and manipulating Bluetooth
 devices using the GNOME desktop.

Package: libgnome-bluetooth13
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME Bluetooth tools - support library
 This package contains tools for managing and manipulating Bluetooth
 devices using the GNOME desktop.
 .
 The libraries included provide support to gnome-bluetooth.

Package: libgnome-bluetooth-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: gir1.2-gnomebluetooth-1.0 (= ${binary:Version}),
         libcanberra-gtk3-dev,
         libgnome-bluetooth13 (= ${binary:Version}),
         libglib2.0-dev,
         libgtk-3-dev,
         libnotify-dev,
         libudev-dev,
         ${misc:Depends}
Suggests: pkg-config
Description: GNOME Bluetooth tools - support library development files
 This package contains tools for managing and manipulating Bluetooth
 devices using the GNOME desktop.
 .
 The libraries included provide support to gnome-bluetooth.
 .
 This package contains the development files for libgnome-bluetooth

Package: gir1.2-gnomebluetooth-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-bluetooth (<< 3.8),
        gnome-shell (<< 3.4.2-9)
Description: Introspection data for GnomeBluetooth
 This package contains tools for managing and manipulating Bluetooth
 devices using the GNOME desktop.
 .
 The libraries included provide support to gnome-bluetooth.
 .
 This package contains the introspection data for GnomeBluetooth

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

# needed with the Ubuntu toolchain to avoid issues
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=true \
		-Dicon_update=true \
		-Dintrospection=true

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_girepository:
	dh_girepository -l applet \
		/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-bluetooth/

## gnome-bluetooth 3.32.1

=== debian/changelog ===
gnome-bluetooth (3.32.1-1) experimental; urgency=medium

  * New upstream release
    - Fix setup of devices that don't need pairing
    - Always try to pair pointer devices
    - Delegate audio devices quirks to bluez, which means that more
      PIN codes can be tried without user intervention
    - Disable discovery when switching settings
    - Fix possible warnings when switching settings

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Apr 2019 16:30:05 +0200

gnome-bluetooth (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Mar 2019 19:53:06 -0400

gnome-bluetooth (3.31.1-1) experimental; urgency=medium

  [ Andrea Azzarone ]
  * New upstream release
  * debian/watch: Watch for unstable releases

  [ Jeremy Bicha ]
  * Bump minimum meson to 0.49.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 20 Feb 2019 10:44:26 -0500

gnome-bluetooth (3.28.2-3) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 09:46:03 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
                gobject-introspection (>= 0.10.2-1~),
@@ -18,8 +18,8 @@
                libnotify-dev,
                libudev-dev,
                libxml2-utils,
-               meson (>= 0.43.0)
-Standards-Version: 4.2.1
+               meson (>= 0.49.0)
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-bluetooth
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-bluetooth.git
 Homepage: https://wiki.gnome.org/Projects/GnomeBluetooth

## gnome-bluetooth 3.34.0

=== debian/changelog ===
gnome-bluetooth (3.34.0-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/client-Disconnect-all-signal-handlers-when-client-is-disp.patch:
    Mark as applied upstream for 3.33.91

  [ Sebastien Bacher ]
  * New upstream release
  * Remove the patch applied in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 09:28:42 +0200

gnome-bluetooth (3.33.90-2) experimental; urgency=medium

  * Team upload
  * d/p/client-Disconnect-all-signal-handlers-when-client-is-disp.patch:
    Add proposed patch to avoid GNOME Shell crashes when
    gnome-shell-extension-bluetooth-quick-connect is used
    (Closes: #932405)
  * Standards-Version: 4.4.0 (no changes required)
  * Set Rules-Requires-Root to no
  * Use debhelper-compat 12

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Aug 2019 16:17:51 +0100

gnome-bluetooth (3.33.90-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2019 17:28:06 +0200

## gnome-bluetooth 3.34.0+3436+git7019e38f

=== debian/changelog ===
gnome-bluetooth (3.34.0+3436+git7019e38f-1pureos0) amber-phone; urgency=medium

  * pairing-dialog: Reduce margins around label

 -- Mohammed Sadiq <sadiq@sadiqpk.org>  Thu, 21 Nov 2019 19:01:10 +0530

## gnome-bluetooth 3.34.1

=== debian/changelog ===
gnome-bluetooth (3.34.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Mar 2020 09:32:53 +0100

## gnome-bluetooth 3.34.3

=== meson_options.txt ===
option('icon_update', type: 'boolean', value: true, description: 'Enable icon cache update')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')

=== debian/changelog ===
gnome-bluetooth (3.34.3-2) unstable; urgency=medium

  * debian/gnome-bluetooth.docs: refreshed to follow upstream renaming

 -- Sebastien Bacher <seb128@debian.org>  Fri, 02 Oct 2020 11:25:06 +0200

gnome-bluetooth (3.34.3-1) unstable; urgency=medium

  * New upstream release:
    - Work-around intermittent connection problems by disabling
      discovery when connecting to devices (lp: #1870356)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Oct 2020 17:15:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
+Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools,
                gobject-introspection (>= 0.10.2-1~),
                gtk-doc-tools,
@@ -19,7 +19,8 @@
                libudev-dev,
                libxml2-utils,
                meson (>= 0.49.0)
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-bluetooth
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-bluetooth.git
 Homepage: https://wiki.gnome.org/Projects/GnomeBluetooth

## gnome-bluetooth 3.34.5

=== debian/changelog ===
gnome-bluetooth (3.34.5-8) unstable; urgency=medium

  * Drop the unused gir1.2-gnomebluetooth-1.0 package.
    There is a new gir1.2-gnome-bluetooth-3.0 but it's believed to only
    be used by GNOME Shell (LP: #1968364)
  * Update debian/watch to avoid new GTK4 series

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 08 Apr 2022 14:09:57 -0400

gnome-bluetooth (3.34.5-7) unstable; urgency=medium

  * Allow budgie-control-center to fulfill gnome-bluetooth's Recommends
    (Closes: #1006335)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 23 Feb 2022 15:09:55 -0500

gnome-bluetooth (3.34.5-6) unstable; urgency=medium

  * Split translations and PIN database to a new gnome-bluetooth-common
    package. This will allow the gnome-bluetooth3 source package to provide
    the Send To app once it's ready without breaking translations for the
    older gnome-bluetooth library.

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 15:34:50 -0500

gnome-bluetooth (3.34.5-5) unstable; urgency=medium

  * Cherry-pick patch to fix build with latest meson (Closes: #1005560)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 18 Feb 2022 16:21:00 -0500

gnome-bluetooth (3.34.5-4) unstable; urgency=medium

  * Use NO_AT_BRIDGE=1 instead of at-spi2-core Build-Depends
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Aug 2021 08:00:10 -0400

gnome-bluetooth (3.34.5-3) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Add xauth to the BD, this is needed for the tests
  * debian/control.in: Bump Standards-Version to 4.5.1 (no further changes)
  * debian/control.in: Add libglib2.0-doc and libgtk-3-doc to the BD to
    properly resolv links between documentation files

  [ Jeremy Bicha ]
  * Build-Depend on at-spi2-core for build tests
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * debian/rules: Drop unneeded -Wl,--as-needed

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Aug 2021 21:18:44 -0400

gnome-bluetooth (3.34.5-2) experimental; urgency=medium

  * debian/control.in, debian/rules:
    - require python3-dbusmock 0.23.0 now that it's available and make
      the build fail again on tests errors.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 18 Jun 2021 15:27:28 +0200

gnome-bluetooth (3.34.5-1) experimental; urgency=medium

  * New upstream release:
    - the "Cancel" button works now when pairing keyboards
      (lp: #1845163)
  * New upstream release
  * debian/libgnome-bluetooth13.symbols:
    - updated symbols list for the new version
  * debian/control.in:
    - updated the build requirements for the new integration tests
  * debian/rules:
    - don't make the tests fail the build, those are new and depending on
      python-dbusmock features that are not available in Debian yet
    - use xvfb for the integration tests

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Mar 2021 20:39:10 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-bluetooth
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gtk-doc-tools,
               libcanberra-gtk3-dev,
               libgirepository1.0-dev (>= 0.9.5),
               libglib2.0-dev (>= 2.38.0),
               libglib2.0-doc,
               libgtk-3-dev (>= 3.12.0),
               libgtk-3-doc,
               libnotify-dev,
               libudev-dev,
               libxml2-utils,
               meson (>= 0.49.0),
               python3-dbus <!nocheck>,
               python3-dbusmock (>= 0.23.0) <!nocheck>,
               python3-gi <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-bluetooth
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-bluetooth.git
Homepage: https://wiki.gnome.org/Projects/GnomeBluetooth

Package: gnome-bluetooth
Architecture: linux-any
Depends: bluez (>= 5.5),
         bluez-obexd,
         udev (>= 154),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-control-center | budgie-control-center | unity-control-center,
            gvfs-backends
Breaks: gnome-shell (<< 3.12),
Conflicts: bluez-gnome
Description: GNOME Bluetooth Send To app
 The GNOME Bluetooth Send To app is an easy way to send files
 to a Bluetooth device.

Package: gnome-bluetooth-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: gnome-bluetooth (<< 3.34.5-6~)
Replaces: gnome-bluetooth (<< 3.34.5-6~)
Description: GNOME Bluetooth common files
 This package contains common files for the GNOME Bluetooth
 libraries and Send To app.

Package: libgnome-bluetooth13
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gnome-bluetooth-common (>= ${source:Version}),
Description: GNOME Bluetooth tools - support library
 This package contains tools for managing and manipulating Bluetooth
 devices using the GNOME desktop.
 .
 The libraries included provide support to gnome-bluetooth.

Package: libgnome-bluetooth-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libcanberra-gtk3-dev,
         libgnome-bluetooth13 (= ${binary:Version}),
         libglib2.0-dev,
         libgtk-3-dev,
         libnotify-dev,
         libudev-dev,
         ${misc:Depends}
Suggests: pkg-config
Description: GNOME Bluetooth tools - support library development files
 This package contains tools for managing and manipulating Bluetooth
 devices using the GNOME desktop.
 .
 The libraries included provide support to gnome-bluetooth.
 .
 This package contains the development files for libgnome-bluetooth

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# needed with the Ubuntu toolchain to avoid issues
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=true \
		-Dicon_update=true \
		-Dintrospection=false

override_dh_girepository:
	dh_girepository -l applet \
		/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-bluetooth/

override_dh_auto_test:
	NO_AT_BRIDGE=1 env -u LD_PRELOAD xvfb-run -s -noreset dh_auto_test

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/(3\.[0-9][02468])/ \
	@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## gnome-bluetooth 47.1

=== debian/changelog ===
gnome-bluetooth (47.1-5) unstable; urgency=medium

  * Update Standards Version to 4.7.3
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Feb 2026 08:10:56 -0500

gnome-bluetooth (47.1-4) experimental; urgency=medium

  * Rename source package from gnome-bluetooth3 to gnome-bluetooth
  * Update debian/copyright

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Dec 2025 23:53:28 -0500

gnome-bluetooth3 (47.1-3) unstable; urgency=medium

  * Cherry-pick patch to fix build tests with pygobject >= 3.52
  * Remove unnecessary Build-Depends: gir1.2-girepository-2.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Nov 2025 17:37:59 -0500

gnome-bluetooth3 (47.1-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Build-depend on gobject-introspection instead of
    libgirepository1.0-dev
  * Explicitly build-depend on gir1.2-gio-2.0-dev for the required GIR XML

  [ Jeremy Bícha ]
  * Move Salsa repo from gnome-bluetooth3 to gnome-bluetooth
  * Opt into Salsa CI
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 Sep 2025 08:26:26 -0400

gnome-bluetooth3 (47.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Oct 2024 09:41:44 -0400

gnome-bluetooth3 (47.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 08:15:26 -0400

gnome-bluetooth3 (47.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 13 Sep 2024 12:38:22 +0200

gnome-bluetooth3 (47~rc-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 06 Sep 2024 10:33:46 +0200

gnome-bluetooth3 (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum GTK4 & libadwaita
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Aug 2024 21:59:33 -0400

gnome-bluetooth3 (46.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 11:37:23 -0400

gnome-bluetooth3 (46~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libadwaita to 1.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Feb 2024 07:10:43 -0500

gnome-bluetooth3 (42.8-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Feb 2024 08:06:19 -0500

gnome-bluetooth3 (42.7-2) unstable; urgency=medium

  * Team upload
  * d/control: Explicitly build-depend on gir1.2-girepository-2.0.
    This is imported by tests/integration-test.py, and will need to switch
    from being part of gir1.2-glib-2.0 to being its own independent
    binary package during the GNOME 46 cycle, so build-depend on it
    separately.  It's also pulled in by libgirepository1.0-dev, but
    that's less obvious.
    Build-depending on the canonical name will also help to keep track
    of the packages that will need adjustment when pygobject switches
    from GIRepository-2.0 to GIRepository-3.0.
  * Add proposed patch to fix build-time test regression with dbusmock
    0.30.0. (Closes: #1058116)
    One test will still fail with dbusmock 0.30.1, which is a dbusmock
    regression fixed in 0.30.2.
  * d/control, d/rules: Don't build documentation with -Pnodoc or -B
  * d/control: Add ${gir:Depends}, ${gir:Provides} where appropriate.
    This allows users of GnomeBluetooth-3.0.gir to build-depend on it by
    its systematic name gir1.2-gnomebluetooth-3.0.

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Dec 2023 14:39:46 +0000

gnome-bluetooth3 (42.7-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 09:38:20 -0500

gnome-bluetooth3 (42.6-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Simon McVittie ]
  * d/clean: Clean up tests/__pycache__/ (Closes: #1044612)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 08:39:27 -0400

gnome-bluetooth3 (42.5-3) unstable; urgency=medium

  * Drop Provides: gnome-bluetooth from gnome-bluetooth-sendto
    (Closes: #1030126)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Feb 2023 16:39:53 -0500

gnome-bluetooth3 (42.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Jeremy Bicha ]
  * debian/rules: Drop apparently unnecessary NO_AT_BRIDGE=1
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 11 Jan 2023 15:22:25 -0500

gnome-bluetooth3 (42.5-1) unstable; urgency=medium

  * New upstream release
  * Add ayatana-indicator-bluetooth to gnome-bluetooth-sendto's alternate
    Recommends

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Dec 2022 16:55:01 -0500

gnome-bluetooth3 (42.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 09:49:59 -0400

gnome-bluetooth3 (42.3-3) unstable; urgency=medium

  * Rebuild after NEW acceptance

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2022 16:28:54 -0400

gnome-bluetooth3 (42.3-2) unstable; urgency=medium

  * Build gnome-bluetooth-sendto, a GTK4 version of the mini-app
    formerly installed as gnome-bluetooth
  * Set versioned Provides for gnome-bluetooth

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 10:45:39 -0400

gnome-bluetooth3 (42.3-1) unstable; urgency=medium

  * New upstream release
  * debian/libgnome-bluetooth-3.0-13.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 10:15:58 -0400

gnome-bluetooth3 (42.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 13:54:46 -0400

gnome-bluetooth3 (42.1-1) unstable; urgency=medium

  * New upstream release


=== debian/control ===
Source: gnome-bluetooth
Standards-Version: 4.7.3
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Sebastien Bacher <seb128@debian.org>
Section: gnome
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gir1.2-gio-2.0-dev,
               gobject-introspection (>= 1.80),
               libadwaita-1-dev (>= 1.6~beta),
               libglib2.0-dev,
               libgsound-dev,
               libgtk-4-dev (>= 4.15.2),
               libnotify-dev,
               libudev-dev,
               libupower-glib-dev,
               libxml2-utils,
               meson,
               python3-dbus <!nocheck>,
               python3-dbusmock <!nocheck>,
               python3-gi <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: gtk-doc-tools <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libgtk-4-doc <!nodoc>
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-bluetooth
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-bluetooth.git
Homepage: https://wiki.gnome.org/Projects/GnomeBluetooth

Package: libgnome-bluetooth-3.0-13
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: gnome-bluetooth-3-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME Bluetooth 3 support library
 This package contains tools for managing and manipulating Bluetooth
 devices using the GNOME desktop.
 .
 The libraries included provide support to gnome-bluetooth.

Package: libgnome-bluetooth-ui-3.0-13
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNOME Bluetooth 3 UI support library
 This package contains tools for managing and manipulating Bluetooth
 devices using the GNOME desktop.
 .
 The libraries included provide support to gnome-bluetooth.

Package: libgnome-bluetooth-3.0-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: libglib2.0-dev,
         libgnome-bluetooth-3.0-13 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Suggests: libgnome-bluetooth-doc
Description: GNOME Bluetooth 3 library - development files
 This package contains tools for managing and manipulating Bluetooth
 devices using the GNOME desktop.
 .
 The libraries included provide support to gnome-bluetooth.
 .
 This package contains the development files.

Package: libgnome-bluetooth-ui-3.0-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: libadwaita-1-dev (>= 1.6~beta),
         libglib2.0-dev,
         libgnome-bluetooth-ui-3.0-13 (= ${binary:Version}),
         libgtk-4-dev (>= 4.15.2),
         ${misc:Depends}
Description: GNOME Bluetooth UI 3 library - development files
 This package contains tools for managing and manipulating Bluetooth
 devices using the GNOME desktop.
 .
 The libraries included provide support to gnome-bluetooth.
 .
 This package contains the development files.

Package: gir1.2-gnomebluetooth-3.0
Architecture: linux-any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Description: Introspection data for GnomeBluetooth
 This package contains tools for managing and manipulating Bluetooth
 devices using the GNOME desktop.
 .
 The libraries included provide support to gnome-bluetooth.
 .
 This package contains the introspection data for GnomeBluetooth

Package: libgnome-bluetooth-doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: GNOME Bluetooth 3 support library - reference docs
 This package contains tools for managing and manipulating Bluetooth
 devices using the GNOME desktop.
 .
 This package contains the API reference.

Package: gnome-bluetooth-3-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GNOME Bluetooth 3 common files
 This package contains common files for the GNOME Bluetooth tools
 and libraries.

Package: gnome-bluetooth-sendto
Architecture: linux-any
Depends: bluez,
         bluez-obexd,
         udev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-control-center | budgie-control-center | unity-control-center | ayatana-indicator-bluetooth,
            gvfs-backends
Description: GNOME Bluetooth Send To app
 The GNOME Bluetooth Send To app is an easy way to send files
 to a Bluetooth device.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# needed with the Ubuntu toolchain to avoid issues
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

built_binaries := $(shell dh_listpackages)

configure_options = -Dintrospection=true

ifeq ($(filter %-doc,$(built_binaries)),)
configure_options += -Dgtk_doc=false
else
configure_options += -Dgtk_doc=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(configure_options)

override_dh_girepository:
	dh_girepository -l applet \
		/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-bluetooth-3.0/

override_dh_auto_test:
	env -u LD_PRELOAD xvfb-run -s -noreset dh_auto_test

# We only use dh_gnome to automatically run dh_translations in Ubuntu
override_dh_gnome:
